// Garden Gnome Software - Skin
// Pano2VR 5.2.2/15983
// Filename: BlinkTest.ggsk
// Generated ven. oct. 13 11:17:55 2017

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	ggSkinVars['popup'] = 0;
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._timer_2=document.createElement('div');
		this._timer_2.ggTimestamp=this.ggCurrentTime;
		this._timer_2.ggLastIsActive=true;
		this._timer_2.ggTimeout=3600000;
		this._timer_2.ggId="Timer 2";
		this._timer_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._timer_2.ggVisible=true;
		this._timer_2.className='ggskin ggskin_timer ';
		this._timer_2.ggType='timer';
		hs ='';
		hs+='height : 105px;';
		hs+='left : -314px;';
		hs+='position : absolute;';
		hs+='top : 151px;';
		hs+='visibility : inherit;';
		hs+='width : 377px;';
		hs+='pointer-events:none;';
		this._timer_2.setAttribute('style',hs);
		this._timer_2.style[domTransform + 'Origin']='50% 50%';
		me._timer_2.ggIsActive=function() {
			return (me._timer_2.ggTimestamp + me._timer_2.ggTimeout) >= me.ggCurrentTime;
		}
		me._timer_2.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._timer_2.onmouseover=function (e) {
			me.elementMouseOver['timer_2']=true;
		}
		this._timer_2.onmouseout=function (e) {
			me.elementMouseOver['timer_2']=false;
		}
		this._timer_2.ontouchend=function (e) {
			me.elementMouseOver['timer_2']=false;
		}
		me._timer_2.ggCurrentLogicStatePosition = -1;
		this._timer_2.ggUpdateConditionTimer=function () {
			var newLogicStatePosition;
			if (
				(me.elementMouseOver['timer_2'] == true)
			)
			{
				newLogicStatePosition = 0;
			}
			else {
				newLogicStatePosition = -1;
			}
			if (me._timer_2.ggCurrentLogicStatePosition != newLogicStatePosition) {
				me._timer_2.ggCurrentLogicStatePosition = newLogicStatePosition;
				me._timer_2.style[domTransition]='left 500ms ease 0ms, top 500ms ease 0ms';
				if (me._timer_2.ggCurrentLogicStatePosition == 0) {
					me._timer_2.style.left='0px';
					me._timer_2.style.top='151px';
				}
				else {
					me._timer_2.style.left='-314px';
					me._timer_2.style.top='151px';
				}
			}
		}
		this._timer_2.ggUpdatePosition=function (useTransition) {
		}
		this._object_html5=document.createElement('div');
		this._object_html5__text=document.createElement('div');
		this._object_html5.className='ggskin ggskin_textdiv';
		this._object_html5.ggTextDiv=this._object_html5__text;
		this._object_html5.ggId="object_html5";
		this._object_html5.ggLeft=-187;
		this._object_html5.ggTop=-47;
		this._object_html5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._object_html5.ggVisible=true;
		this._object_html5.className='ggskin ggskin_text ';
		this._object_html5.ggType='text';
		hs ='';
		hs+='height : 100px;';
		hs+='left : -187px;';
		hs+='position : absolute;';
		hs+='top : -47px;';
		hs+='visibility : inherit;';
		hs+='width : 351px;';
		hs+='pointer-events:auto;';
		this._object_html5.setAttribute('style',hs);
		this._object_html5.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 351px;';
		hs+='height: auto;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.607843);';
		hs+='border: 0px solid #000000;';
		hs+='color: rgba(0,0,0,1);';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 5px 6px 5px 6px;';
		hs+='overflow: hidden;';
		hs+='overflow-y: auto;';
		this._object_html5__text.setAttribute('style',hs);
		this._object_html5__text.innerHTML="";
		this._object_html5.appendChild(this._object_html5__text);
		me._object_html5.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._object_html5.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._object_html5.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h/2) + 'px';
			}
		}
		this._timer_2.appendChild(this._object_html5);
		this._hs_texte_image=document.createElement('div');
		this._hs_texte_image__img=document.createElement('img');
		this._hs_texte_image__img.className='ggskin ggskin_button';
		this._hs_texte_image__img.setAttribute('src',basePath + 'images/hs_texte_image.png');
		this._hs_texte_image__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._hs_texte_image__img.className='ggskin ggskin_button';
		this._hs_texte_image__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._hs_texte_image__img);
		this._hs_texte_image.appendChild(this._hs_texte_image__img);
		this._hs_texte_image.ggId="hs_texte_image";
		this._hs_texte_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hs_texte_image.ggVisible=true;
		this._hs_texte_image.className='ggskin ggskin_button ';
		this._hs_texte_image.ggType='button';
		hs ='';
		hs+='height : 40px;';
		hs+='left : 317px;';
		hs+='position : absolute;';
		hs+='top : 10px;';
		hs+='visibility : inherit;';
		hs+='width : 40px;';
		hs+='pointer-events:auto;';
		this._hs_texte_image.setAttribute('style',hs);
		this._hs_texte_image.style[domTransform + 'Origin']='50% 50%';
		me._hs_texte_image.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._hs_texte_image.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._hs_texte_image.ggUpdatePosition=function (useTransition) {
		}
		this._timer_2.appendChild(this._hs_texte_image);
		this.divSkin.appendChild(this._timer_2);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._timer_2.ggTimestamp=me.ggCurrentTime;
			me._timer_2.ggTimeout=5000;
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		if (me.elementMouseOver['timer_2']) {
			me._object_html5.ggText="<iframe src=\"object\/text.html\" name=\u201cO\u201dbject  width=\"600px\" height=\"550px\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" frameborder=\"0\" ><\/iframe>";
			me._object_html5.ggTextDiv.innerHTML=me._object_html5.ggText;
			if (me._object_html5.ggUpdateText) {
				me._object_html5.ggUpdateText=function() {
					var hs="<iframe src=\"object\/text.html\" name=\u201cO\u201dbject  width=\"600px\" height=\"550px\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" frameborder=\"0\" ><\/iframe>";
					if (hs!=this.ggText) {
						this.ggText=hs;
						this.ggTextDiv.innerHTML=hs;
						if (this.ggUpdatePosition) this.ggUpdatePosition();
					}
				}
			}
			if (me._object_html5.ggUpdatePosition) {
				me._object_html5.ggUpdatePosition();
			}
			me._object_html5.ggTextDiv.scrollTop = 0;
		}
		me._timer_2.ggUpdateConditionTimer();
	};
	this.addSkin();
};